Bug 209783 - API for changing enabled state of a Watch
API for changing enabled state of a Watch
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Code
7.2
All All
: P2 (vote)
: 7.2
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 209787
  Show dependency treegraph
 
Reported: 2012-03-20 11:32 UTC by Martin Entlicher
Modified: 2012-03-27 09:20 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The API change with a test and associated changes in debugger modules. (22.71 KB, patch)
2012-03-20 12:01 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2012-03-20 11:32:41 UTC
As requested in issue #207909, it should be possible to enable or disable a watch.
New methods Watch.setEnabled(boolean) and Watch.isEnabled() are necessary to provide programmatic access.
Comment 1 Martin Entlicher 2012-03-20 12:01:39 UTC
Created attachment 116915 [details]
The API change with a test and associated changes in debugger modules.
Comment 2 Martin Entlicher 2012-03-20 12:03:03 UTC
Please review this simple API addition.
Comment 3 Martin Entlicher 2012-03-26 12:23:06 UTC
If there are no objections, I'm going to push this change tomorrow. Thanks.
Comment 4 Martin Entlicher 2012-03-27 09:20:13 UTC
API change pushed as changeset:   216611:687c66fba663
http://hg.netbeans.org/main/rev/687c66fba663


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo